=== debian/changelog ===
highwayhash (0~git20181002.c5ee50b-3) unstable; urgency=medium

  * Team upload
  * Really build on arch:any

 -- Aron Xu <aron@debian.org>  Mon, 26 Nov 2018 23:06:33 +0800

highwayhash (0~git20181002.c5ee50b-2) unstable; urgency=medium

  * Team upload
  * Build on arch:any

 -- Aron Xu <aron@debian.org>  Mon, 26 Nov 2018 22:37:21 +0800

highwayhash (0~git20181002.c5ee50b-1) unstable; urgency=medium

  * Change pretty format string in watch file.
  * New upstream version 0~git20181002.c5ee50b

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 25 Nov 2018 02:02:55 +0000

highwayhash (0~20180209-g14dedec-6) unstable; urgency=medium

  * Collect symbols update from buildd. (Closes: #897767)
    + Update symbols for arm64, ppc64el, x32 .
  * Bump Standards-Version to 4.2.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 23 Aug 2018 05:47:28 +0000
