## highwayhash 0~git20190222.276dd7b

=== debian/changelog ===
highwayhash (0~git20190222.276dd7b-1) unstable; urgency=medium

  * New upstream version 0~git20190222.276dd7b
  * Refresh symbols.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 24 Feb 2019 02:25:23 +0000
