=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <cdluminate@gmail.com>
 Build-Depends: debhelper (>= 11), rename
-Standards-Version: 4.1.5
+Standards-Version: 4.2.0
 Homepage: https://github.com/google/highwayhash
 Vcs-Git: https://salsa.debian.org/science-team/highwayhash.git
 vcs-Browser: https://salsa.debian.org/science-team/highwayhash
 
 Package: libhighwayhash-dev
 Section: libdevel
-Architecture: amd64 arm64 x32 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
          libhighwayhash0 (= ${binary:Version})
 Description: Fast strong hash functions: SipHash/HighwayHash (development)
@@ -35,7 +35,7 @@
 
 Package: libhighwayhash0
 Section: libs
-Architecture: amd64 arm64 x32 ppc64el
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Fast strong hash functions: SipHash/HighwayHash (library)
