=== debian/changelog ===
highwayhash (0~git20191002.0aaf66b-1) unstable; urgency=medium

  * New upstream version 0~git20191002.0aaf66b
  * Collect symbols update from buildd for ppc64el.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 04 Oct 2019 07:48:51 +0000
