## highwayhash 0~git20200803.9490b14

=== debian/changelog ===
highwayhash (0~git20200803.9490b14-4.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:25:22 +0000

highwayhash (0~git20200803.9490b14-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062341

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 10:37:34 +0000

highwayhash (0~git20200803.9490b14-4) unstable; urgency=medium

  * Orphan this package. (See #1013208)
  * Change maintainer to QA group.
  * Bump Standards-Version to 4.6.2.

 -- Mo Zhou <lumin@debian.org>  Sun, 10 Dec 2023 16:46:41 -0500

highwayhash (0~git20200803.9490b14-3) unstable; urgency=medium

  * Give up tracking C++ symbols. (Closes: #984175)
  * Fix FTCBFS due to multiple reasons; Patch rebased. (Closes: #970832)
  * Bump Standards-Version to 4.6.0 (no change).
  * Strip unnecessary shlibs:Depends from -dev package.
  * Remove unused lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Wed, 24 Nov 2021 16:28:14 -0500

highwayhash (0~git20200803.9490b14-2) unstable; urgency=medium

  [ Yangfl ]
  * Fix FTBFS on most archs due to problematic Makefile. (Closes: #986273)

  [ Mo Zhou ]
  * Rename libhighwayhash0.symbols -> lib{...}.symbols.amd64.

 -- Mo Zhou <lumin@debian.org>  Mon, 05 Apr 2021 10:52:10 +0800

highwayhash (0~git20200803.9490b14-1) unstable; urgency=medium

  * New upstream version 0~git20200803.9490b14
  * Fixup architecture detection.
  * Deprecate d/compat and bump debhelper compat level to 13.
  * Update my mail address in control and copyright.
  * Specify Rules-Requires-Root: no
  * Fixup installation part in d/rules.
  * Refresh symbols control file for amd64, arm64, ppc64el.

 -- Mo Zhou <lumin@debian.org>  Tue, 22 Sep 2020 10:50:25 +0800
