=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: highwayhash
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Mo Zhou <cdluminate@gmail.com>
-Build-Depends: debhelper (>= 11), rename
-Standards-Version: 4.2.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), rename
+Standards-Version: 4.6.2
 Homepage: https://github.com/google/highwayhash
 Vcs-Git: https://salsa.debian.org/science-team/highwayhash.git
-vcs-Browser: https://salsa.debian.org/science-team/highwayhash
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/science-team/highwayhash
 
 Package: libhighwayhash-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         libhighwayhash0 (= ${binary:Version})
+Depends: ${misc:Depends}, libhighwayhash0t64 (= ${binary:Version})
+Multi-Arch: same
 Description: Fast strong hash functions: SipHash/HighwayHash (development)
  Highwayhash provides three 'strong' (well-distributed and unpredictable)
  hash functions: a faster version of SipHash, a data-parallel variant of
@@ -33,7 +34,10 @@
  .
  This package ships the static library and development files.
 
-Package: libhighwayhash0
+Package: libhighwayhash0t64
+Provides: ${t64:Provides}
+Replaces: libhighwayhash0
+Breaks: libhighwayhash0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
