=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DESTDIR=/usr
export LIBDIR=$(DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/
export INCDIR=$(DESTDIR)/include/
TESTBINS = highwayhash_test nanobenchmark_example profiler_example sip_hash_test vector_test

ifneq (,$(filter $(DEB_BUILD_ARCH),amd64))
export HH_X64=1
endif
ifneq (,$(filter $(DEB_BUILD_ARCH),x32))
export HH_X64=1
endif
ifneq (,$(filter $(DEB_BUILD_ARCH),arm64))
export HH_AARCH64=1
endif
ifneq (,$(filter $(DEB_BUILD_ARCH),ppc64el ppc64))
export HH_POWER=1
endif

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	-$(RM) deps.mk

override_dh_auto_build:
	dh_auto_build -- all lib/libhighwayhash.so

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	for ITEM in $(TESTBINS); do \
		./bin/$$ITEM; \
	done
endif

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/libhighwayhash0t64/usr/lib/$(DEB_HOST_MULTIARCH)
	rename 's/.so/.so.0/' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so
	install -m0755 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.0 \
		debian/libhighwayhash0t64/usr/lib/$(DEB_HOST_MULTIARCH)/
	mkdir -p debian/libhighwayhash-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	install -m0755 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.a \
		debian/libhighwayhash-dev/usr/lib/$(DEB_HOST_MULTIARCH)/
	set -e; cd debian/libhighwayhash-dev/usr/lib/$(DEB_HOST_MULTIARCH)/; \
		ln -s libhighwayhash.so.0 libhighwayhash.so
