=== debian/tests/control ===
Tests: test.sanity
Depends: @, build-essential
